Bug 837903 - as7 plugin should not include thread ids as part of platform-mbean > threading resource configuration
as7 plugin should not include thread ids as part of platform-mbean > threadin...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 840965
  Show dependency treegraph
 
Reported: 2012-07-05 14:59 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 840965 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:11:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Threading resource configuration (90.27 KB, image/png)
2012-07-05 15:01 EDT, Charles Crouch
no flags Details
Threading resource configuration history (119.16 KB, image/png)
2012-07-05 15:02 EDT, Charles Crouch
no flags Details

  None (edit)
Description Charles Crouch 2012-07-05 14:59:03 EDT
Right now the as7 plugin defines threading resources (key=core-service=platform-mbean,type=threading). Part of the configuration for this resource is a property called "All Thread Ids" which is described as "All live thread IDs. If a security manager is installed and the caller does not have ManagementPermission('monitor'), the result will be undefined." When editing the configuration it is not possible alter this list in any way (see threading-config-current.png). Also it does not make sense to try to alter this list, since its really just diagnostic information about the JVM.

My suggestion is to remove the "All Thread Ids" property from the resource configuration, simply because it is not a configuration property for this property. An alternative implementation could move this facility to an operation where by people are interested in getting the thread ids of the running jvm could do so as they are needed.

One side-effect of the "All Thread Ids" property is that the configuration for the threading resource keeps getting rediscovered every 30mins (see threading-config-history.png) This is because the value of the "All Thread Ids" property is constantly changing as the JVM executes so our config checker thread on the agent keeps finding an updated config each time it runs. 

The fix for this issue should make sure that the "All Thread Ids" property is removed for all AS7 instances added to inventory going forward, but also for all AS7 resources which were in the inventory prior to this fix (i.e. update those as part of upgrading)
Comment 1 Charles Crouch 2012-07-05 15:01:04 EDT
Created attachment 596478 [details]
Threading resource configuration
Comment 2 Charles Crouch 2012-07-05 15:02:15 EDT
Created attachment 596479 [details]
Threading resource configuration history
Comment 3 Heiko W. Rupp 2012-07-09 06:13:22 EDT
Change in plugin has been pushed to master as e704b68

I do not think there is any need to change the update code, as I was having an AS in inventory that showed the thread ids in config, and after plugin update they were just gone.
Comment 4 Charles Crouch 2012-07-09 13:28:12 EDT
As part of the QE for this issue we need to make sure that the thread ids are no longer getting collected for existing resources
Comment 5 Heiko W. Rupp 2013-09-01 06:11:11 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.